summaryrefslogtreecommitdiffstats
path: root/class/autotools.sh
diff options
context:
space:
mode:
Diffstat (limited to 'class/autotools.sh')
-rw-r--r--class/autotools.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/class/autotools.sh b/class/autotools.sh
new file mode 100644
index 0000000..955687a
--- /dev/null
+++ b/class/autotools.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# Copyright (c) 2011 William Pitcock <nenolod@dereferenced.org>.
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+# ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+_ac_enable_opts=""
+_ac_with_opts=""
+
+ac_enable_opt() {
+ _ac_enable_opts="${_ac_enable_opts} --enable-${1}"
+}
+
+ac_with_opt() {
+ if [ "x$2" != "x" ]; then
+ _ac_with_opts="${_ac_with_opts} --with-${1}=${2}"
+ else
+ _ac_with_opts="${_ac_with_opts} --with-${1}"
+ fi
+}
+
+ac_configure() {
+ msg "Configuring with following options: ${_ac_enable_opts} ${_ac_with_opts}"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ ${_ac_enable_opts} \
+ ${_ac_with_opts} || return 1
+}
+
+abh_prebuild_push "ac_configure"